Subject: Re: Rebase 1.5-1: Causes invalid page fault
From: Jason Tishler <[email-masked]>
To: Nicholas Wourms <[email-masked]>
Cc: [email-masked]
Date: Thu, 04 Jul 2002 21:25:47 -0400

Nicholas,

On Thu, Jun 27, 2002 at 01:48:41PM -0700, Nicholas Wourms wrote:
> Ok, I just tried running it on the latest libpython2.2.dll both with the
> SDK version and with Microsoft's version.  Here are the results:
> 
> MS ReBase.exe:
> C:\Cygnus\cygwin\tmp\automake>"C:\Program Files\Microsoft SDK\Bin\ReBase.exe" -d -b 0x68000000 libpython2.2.dll
> REBASE: *** RelocateImage failed (libpython2.2.dll).  Image may be
> corrupted
> 
> REBASE: Total Size of mapping 0x0000000000000000
                                ^^^^^^^^^^^^^^^^^^
                                ******************

> REBASE: Range 0x0000000068000000 -0x0000000068000000
> 
> Ironically, when I checked this file in cygwin with "file", it says
> libpython2.2.dll: MS Windows PE Intel 80386 console DLL
>
> Does that mean it is ok?

I don't know.  Does python still work?

> Did rebase actually work?

I don't think so.  The above indicates a size of 0 -- this is bad.  You
can use objdump to verify if the rebasing was successful:

    $ objdump -p libpython2.2.dll | fgrep ImageBase
    ImageBase               67f30000

Note I get the following (under Windows 2000):

    $ rebase -d -b 0x68000000 libpython2.2.dll

    REBASE: Total Size of mapping 0x000d0000
    REBASE: Range 0x67f30000 -0x68000000

> Cygwin's rebase gave me the same pagefault as before.  So if the
> previous indicates success, then at least we know it isn't me?

Sorry, I don't have access to 9x/Me so you will have to debug the
problem with my rebase tool under Me.

Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/